function otf = circotf(d)
%CIRCOTF generates a centred, idealised OTF for a circular pupil
% OTF = CIRCOTF ( DIAMETER )

[f1,f2] = freqspace(d, 'meshgrid');

otf = overlap(sqrt(f1.^2 + f2.^2) * 2)/pi;
